searchData={"items":[{"type":"module","title":"Polyline","doc":"Encode and decode Polylines to and from List of `{lon, lat}` tuples.\n\nThe encode functions accept a `precision` parameter that defines the\nnumber of significant digits to retain when encoding.  The same precision\nmust be supplied to the decode or the resulting linestring will be incorrect.\nThe default is `5`, which correlates to approximately 1 meter of precision.","ref":"Polyline.html"},{"type":"module","title":"Examples - Polyline","doc":"iex> Polyline.encode([{-120.2, 38.5}, {-120.95, 40.7}, {-126.453, 43.252}])\n    \"_p~iF~ps|U_ulLnnqC_mqNvxq`@\"\n\n    iex> Polyline.decode(\"_p~iF~ps|U_ulLnnqC_mqNvxq`@\")\n    [{-120.2, 38.5}, {-120.95, 40.7}, {-126.453, 43.252}]","ref":"Polyline.html#module-examples"},{"type":"function","title":"Polyline.decode/2","doc":"Decode a polyline String into a List of `{lon, lat}` tuples.","ref":"Polyline.html#decode/2"},{"type":"function","title":"Examples - Polyline.decode/2","doc":"iex> Polyline.decode(\"_p~iF~ps|U_ulLnnqC_mqNvxq`@\")\n    [{-120.2, 38.5}, {-120.95, 40.7}, {-126.453, 43.252}]\n\n    iex> Polyline.decode(\"_izlhA~rlgdF_{geC~ywl@_kwzCn`{nI\", 6)\n    [{-120.2, 38.5}, {-120.95, 40.7}, {-126.453, 43.252}]","ref":"Polyline.html#decode/2-examples"},{"type":"function","title":"Polyline.encode/2","doc":"Encode a List of coordinate tuples into a Polyline String. Also works with\n`Geo.LineString` structs (see https://hex.pm/packages/geo).","ref":"Polyline.html#encode/2"},{"type":"function","title":"Examples - Polyline.encode/2","doc":"iex> Polyline.encode([{-120.2, 38.5}, {-120.95, 40.7}, {-126.453, 43.252}])\n    \"_p~iF~ps|U_ulLnnqC_mqNvxq`@\"\n\n    iex> Polyline.encode([{-120.2, 38.5}, {-120.95, 40.7}, {-126.453, 43.252}], 6)\n    \"_izlhA~rlgdF_{geC~ywl@_kwzCn`{nI\"\n\n    iex> \"LINESTRING(-120.2 38.5, -120.95 40.7, -126.453 43.252)\"\n    ...> |> Geo.WKT.decode!\n    ...> |> Map.get(:coordinates)\n    ...> |> Polyline.encode\n    \"_p~iF~ps|U_ulLnnqC_mqNvxq`@\"","ref":"Polyline.html#encode/2-examples"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.36.1"}}